Summary: The Perl interface to system Quotas
Name: perl-quota
%define	version	1.2.3
Version: %{version}
Release: 1C2
Copyright: distributable
Group: Development/Languages
Source: ftp://ftp.perl.org/pub/CPAN/modules/by-module/Quota/Quota-%{version}.tar.gz
Patch0: group-quota.patch
Patch1: setqlim.patch
Patch2: group-pod.patch
BuildRoot: /var/tmp/perl-quota-buildroot/
Requires: perl >= 5.004

%description
The perl-quota package provides an interface to the 
system quotas for the Perl programming language.

%prep
%setup -n Quota-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
   INSTALLMAN3DIR=$RPM_BUILD_ROOT/`dirname $installarchlib`/man/man3 install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/*/*-linux/Quota.pm
/usr/lib/perl5/site_perl/*/*-linux/auto/Quota
/usr/lib/perl5/*/man/*/*

%changelog
* Thu May 27 1999 Duncan Laurie [duncan@cobaltnet.com]
- First build
